# Interface Encoder

All Known Subinterfaces:
  `Encoder.Binary<T>, Encoder.BinaryStream<T>, Encoder.Text<T>, Encoder.TextStream<T>`

public interface Encoder

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`Encoder.Binary<T>`
`static interface`
`Encoder.BinaryStream<T>`
`static interface`
`Encoder.Text<T>`
`static interface`
`Encoder.TextStream<T>`

## Method Summary

Modifier and Type
Method
Description
`void`
`destroy()`
Destroy the decoder.
`void`
`init(EndpointConfig endpointConfig)`
Initialise the encoder.

## Method Details

### init

void init(EndpointConfig endpointConfig)
Initialise the encoder.

Parameters:
  `endpointConfig` - The end-point configuration

### destroy

void destroy()
Destroy the decoder.